package externalscan

var idMap = map[string]string{
	"azure-monitor-capture-all-regions": "AVD-AZU-0035",
	"azure-monitor-capture-all-activities": "AVD-AZU-0034",
	"azure-monitor-activity-log-retention-set": "AVD-AZU-0033",
	"azure-authorization-limit-role-actions": "AVD-AZU-0007",
	"azure-database-enable-audit": "AVD-AZU-0016",
	"azure-database-no-public-access": "AVD-AZU-0018",
	"azure-database-postgres-configuration-log-connection-throttling": "AVD-AZU-0021",
	"azure-database-retention-period-set": "AVD-AZU-0023",
	"azure-database-enable-ssl-enforcement": "AVD-AZU-0017",
	"azure-database-secure-tls-policy": "AVD-AZU-0024",
	"azure-database-no-public-firewall-access": "AVD-AZU-0019",
	"azure-database-postgres-configuration-log-connections": "AVD-AZU-0022",
	"azure-database-postgres-configuration-log-checkpoints": "AVD-AZU-0020",
	"azure-appservice-enable-http2": "AVD-AZU-0003",
	"azure-appservice-enforce-https": "AVD-AZU-0004",
	"azure-appservice-authentication-enabled": "AVD-AZU-0002",
	"azure-appservice-use-secure-tls-policy": "AVD-AZU-0006",
	"azure-appservice-account-identity-registered": "AVD-AZU-0001",
	"azure-appservice-require-client-cert": "AVD-AZU-0005",
	"azure-keyvault-no-purge": "AVD-AZU-0031",
	"azure-keyvault-ensure-key-expiry": "AVD-AZU-0029",
	"azure-keyvault-ensure-secret-expiry": "AVD-AZU-0030",
	"azure-keyvault-specify-network-acl": "AVD-AZU-0032",
	"azure-keyvault-content-type-for-secret": "AVD-AZU-0028",
	"azure-network-ssh-blocked-from-internet": "AVD-AZU-0043",
	"azure-network-retention-policy-set": "AVD-AZU-0042",
	"azure-network-disable-rdp-from-internet": "AVD-AZU-0039",
	"azure-network-no-public-ingress": "AVD-AZU-0041",
	"azure-network-no-public-egress": "AVD-AZU-0040",
	"azure-mssql-threat-alert-email-set": "AVD-AZU-0037",
	"azure-mssql-threat-alert-email-to-owner": "AVD-AZU-0038",
	"azure-mssql-all-threat-alerts-enabled": "AVD-AZU-0036",
	"azure-datafactory-no-public-access": "AVD-AZU-0025",
	"azure-datalake-enable-at-rest-encryption": "AVD-AZU-0026",
	"azure-synapse-virtual-network-enabled": "AVD-AZU-0053",
	"azure-security-center-set-required-contact-details": "AVD-AZU-0046",
	"azure-security-center-alert-on-severe-notifications": "AVD-AZU-0044",
	"azure-security-center-enable-standard-subscription": "AVD-AZU-0045",
	"azure-compute-ssh-authentication": "AVD-AZU-0011",
	"azure-compute-no-secrets-in-custom-data": "AVD-AZU-0010",
	"azure-compute-enable-disk-encryption": "AVD-AZU-0009",
	"azure-compute-disable-password-authentication": "AVD-AZU-0008",
	"azure-storage-enforce-https": "AVD-AZU-0049",
	"azure-storage-no-public-access": "AVD-AZU-0050",
	"azure-storage-allow-microsoft-service-bypass": "AVD-AZU-0047",
	"azure-storage-use-secure-tls-policy": "AVD-AZU-0052",
	"azure-storage-queue-services-logging-enabled": "AVD-AZU-0051",
	"azure-storage-default-action-deny": "AVD-AZU-0048",
	"azure-container-configured-network-policy": "AVD-AZU-0012",
	"azure-container-use-rbac-permissions": "AVD-AZU-0015",
	"azure-container-logging": "AVD-AZU-0014",
	"azure-container-limit-authorized-ips": "AVD-AZU-0013",
	"azure-functionapp-authentication-enabled": "AVD-AZU-0027",
	"general-secrets-sensitive-in-attribute-value": "AVD-GEN-0002",
	"general-secrets-sensitive-in-attribute": "AVD-GEN-0001",
	"general-secrets-sensitive-in-local": "AVD-GEN-0003",
	"general-secrets-sensitive-in-variable": "AVD-GEN-0004",
	"cloudstack-compute-no-sensitive-info": "AVD-CSK-0001",
	"openstack-compute-no-plaintext-password": "AVD-OSK-0001",
	"openstack-fw-no-public-access": "AVD-OSK-0002",
	"oracle-compute-no-public-ip": "AVD-OCI-0001",
	"google-dns-enable-dnssec": "AVD-GCP-0020",
	"google-dns-no-rsa-sha1": "AVD-GCP-0021",
	"google-compute-disk-encryption-customer-keys": "AVD-GCP-0003",
	"google-compute-no-serial-port": "AVD-GCP-0016",
	"google-compute-no-plaintext-disk-keys": "AVD-GCP-0010",
	"google-compute-no-default-service-account": "AVD-GCP-0007",
	"google-compute-project-level-oslogin": "AVD-GCP-0017",
	"google-compute-enable-vpc-flow-logs": "AVD-GCP-0006",
	"google-compute-use-secure-tls-policy": "AVD-GCP-0018",
	"google-compute-no-public-ingress": "AVD-GCP-0014",
	"google-compute-enable-shielded-vm": "AVD-GCP-0005",
	"google-compute-disk-encryption-customer-key": "AVD-GCP-0002",
	"google-compute-no-ip-forwarding": "AVD-GCP-0008",
	"google-compute-disk-encryption-required": "AVD-GCP-0004",
	"google-compute-no-project-wide-ssh-keys": "AVD-GCP-0012",
	"google-compute-no-public-ip": "AVD-GCP-0015",
	"google-compute-vm-disk-encryption-customer-key": "AVD-GCP-0019",
	"google-compute-no-plaintext-vm-disk-keys": "AVD-GCP-0011",
	"google-compute-no-public-egress": "AVD-GCP-0013",
	"google-compute-no-oslogin-override": "AVD-GCP-0009",
	"google-storage-enable-ubla": "AVD-GCP-0064",
	"google-storage-no-public-access": "AVD-GCP-0065",
	"google-bigquery-no-public-access": "AVD-GCP-0001",
	"google-sql-pg-log-checkpoints": "AVD-GCP-0058",
	"google-sql-no-public-access": "AVD-GCP-0057",
	"google-sql-no-cross-db-ownership-chaining": "AVD-GCP-0056",
	"google-sql-encrypt-in-transit-data": "AVD-GCP-0053",
	"google-sql-enable-pg-temp-file-logging": "AVD-GCP-0052",
	"google-sql-mysql-no-local-infile": "AVD-GCP-0054",
	"google-sql-enable-backup": "AVD-GCP-0051",
	"google-sql-no-contained-db-auth": "AVD-GCP-0055",
	"google-sql-pg-no-min-statement-logging": "AVD-GCP-0063",
	"google-sql-pg-log-errors": "AVD-GCP-0061",
	"google-sql-pg-log-connections": "AVD-GCP-0059",
	"google-sql-pg-log-disconnections": "AVD-GCP-0060",
	"google-sql-pg-log-lock-waits": "AVD-GCP-0062",
	"google-project-no-default-network": "AVD-GCP-0050",
	"google-gke-no-public-control-plane": "AVD-GCP-0034",
	"google-gke-metadata-endpoints-disabled": "AVD-GCP-0031",
	"google-gke-node-shielding-enabled": "AVD-GCP-0037",
	"google-gke-enable-network-policy": "AVD-GCP-0026",
	"google-gke-use-cluster-labels": "AVD-GCP-0038",
	"google-gke-enable-stackdriver-logging": "AVD-GCP-0028",
	"google-gke-use-rbac-permissions": "AVD-GCP-0039",
	"google-gke-enable-private-cluster": "AVD-GCP-0027",
	"google-gke-enable-stackdriver-monitoring": "AVD-GCP-0029",
	"google-gke-enforce-pod-security-policy": "AVD-GCP-0030",
	"google-gke-enable-auto-upgrade": "AVD-GCP-0023",
	"google-gke-no-legacy-auth": "AVD-GCP-0032",
	"google-gke-node-pool-uses-cos": "AVD-GCP-0036",
	"google-gke-enable-master-networks": "AVD-GCP-0025",
	"google-gke-no-legacy-authentication": "AVD-GCP-0033",
	"google-gke-use-service-account": "AVD-GCP-0040",
	"google-gke-enable-auto-repair": "AVD-GCP-0022",
	"google-gke-node-metadata-security": "AVD-GCP-0035",
	"google-gke-enable-ip-aliasing": "AVD-GCP-0024",
	"google-kms-rotate-kms-keys": "AVD-GCP-0049",
	"google-iam-no-project-level-service-account-impersonation": "AVD-GCP-0047",
	"google-iam-no-folder-level-default-service-account-assignment": "AVD-GCP-0041",
	"google-iam-no-privileged-service-accounts": "AVD-GCP-0045",
	"google-iam-no-org-level-default-service-account-assignment": "AVD-GCP-0043",
	"google-iam-no-folder-level-service-account-impersonation": "AVD-GCP-0042",
	"google-iam-no-project-level-default-service-account-assignment": "AVD-GCP-0046",
	"google-iam-no-org-level-service-account-impersonation": "AVD-GCP-0044",
	"google-iam-no-user-granted-permissions": "AVD-GCP-0048",
	"digitalocean-compute-no-public-ingress": "AVD-DIG-0002",
	"digitalocean-compute-no-public-egress": "AVD-DIG-0001",
	"digitalocean-loadbalancing-enforce-https": "AVD-DIG-0004",
	"digitalocean-droplet-use-ssh-keys": "AVD-DIG-0003",
	"digitalocean-spaces-acl-no-public-read": "AVD-DIG-0005",
	"digitalocean-spaces-versioning-enabled": "AVD-DIG-0007",
	"digitalocean-spaces-disable-force-destroy": "AVD-DIG-0006",
	"github-repositories-private": "AVD-GIT-0001",
	"aws-lambda-restrict-source-arn": "AVD-AWS-0067",
	"aws-lambda-enable-tracing": "AVD-AWS-0066",
	"aws-msk-enable-in-transit-encryption": "AVD-AWS-0073",
	"aws-msk-enable-logging": "AVD-AWS-0074",
	"aws-ecr-enable-image-scans": "AVD-AWS-0030",
	"aws-ecr-no-public-access": "AVD-AWS-0032",
	"aws-ecr-repository-customer-key": "AVD-AWS-0033",
	"aws-ecr-enforce-immutable-repository": "AVD-AWS-0031",
	"aws-ecs-no-plaintext-secrets": "AVD-AWS-0036",
	"aws-ecs-enable-in-transit-encryption": "AVD-AWS-0035",
	"aws-ecs-enable-container-insight": "AVD-AWS-0034",
	"aws-ssm-secret-use-customer-key": "AVD-AWS-0098",
	"aws-efs-enable-at-rest-encryption": "AVD-AWS-0037",
	"aws-elastic-search-enforce-https": "AVD-AWS-0046",
	"aws-elastic-search-enable-in-transit-encryption": "AVD-AWS-0043",
	"aws-elastic-search-encrypt-replication-group": "AVD-AWS-0045",
	"aws-elastic-search-use-secure-tls-policy": "AVD-AWS-0047",
	"aws-elastic-search-enable-logging": "AVD-AWS-0044",
	"aws-elastic-search-enable-domain-logging": "AVD-AWS-0042",
	"aws-elastic-service-enable-domain-encryption": "AVD-AWS-0048",
	"aws-misc-no-exposing-plaintext-credentials": "AVD-AWS-0069",
	"aws-vpc-disallow-mixed-sgr": "AVD-AWS-0100",
	"aws-vpc-no-public-egress-sg": "AVD-AWS-0103",
	"aws-vpc-no-default-vpc": "AVD-AWS-0101",
	"aws-vpc-no-public-ingress-sg": "AVD-AWS-0106",
	"aws-vpc-no-public-ingress-sgr": "AVD-AWS-0107",
	"aws-vpc-add-description-to-security-group": "AVD-AWS-0099",
	"aws-vpc-use-secure-tls-policy": "AVD-AWS-0108",
	"aws-vpc-no-excessive-port-access": "AVD-AWS-0102",
	"aws-vpc-no-public-ingress": "AVD-AWS-0105",
	"aws-vpc-no-public-egress-sgr": "AVD-AWS-0104",
	"aws-rds-no-public-db-access": "AVD-AWS-0082",
	"aws-rds-backup-retention-specified": "AVD-AWS-0077",
	"aws-rds-enable-performance-insights": "AVD-AWS-0078",
	"aws-rds-no-classic-resources": "AVD-AWS-0081",
	"aws-rds-encrypt-cluster-storage-data": "AVD-AWS-0079",
	"aws-rds-encrypt-instance-storage-data": "AVD-AWS-0080",
	"aws-cloudtrail-enable-all-regions": "AVD-AWS-0014",
	"aws-cloudtrail-enable-log-validation": "AVD-AWS-0016",
	"aws-cloudtrail-enable-at-rest-encryption": "AVD-AWS-0015",
	"aws-athena-no-encryption-override": "AVD-AWS-0007",
	"aws-athena-enable-at-rest-encryption": "AVD-AWS-0006",
	"aws-redshift-add-description-to-security-group": "AVD-AWS-0083",
	"aws-redshift-non-default-vpc-deployment": "AVD-AWS-0085",
	"aws-redshift-encryption-customer-key": "AVD-AWS-0084",
	"aws-s3-enable-bucket-logging": "AVD-AWS-0089",
	"aws-s3-enable-versioning": "AVD-AWS-0090",
	"aws-s3-block-public-acls": "AVD-AWS-0086",
	"aws-s3-no-public-access-with-acl": "AVD-AWS-0092",
	"aws-s3-enable-bucket-encryption": "AVD-AWS-0088",
	"aws-s3-no-public-buckets": "AVD-AWS-0093",
	"aws-s3-ignore-public-acls": "AVD-AWS-0091",
	"aws-s3-block-public-policy": "AVD-AWS-0087",
	"aws-s3-specify-public-access-block": "AVD-AWS-0094",
	"aws-ec2-no-secrets-in-user-data": "AVD-AWS-0029",
	"aws-ec2-enforce-http-token-imds": "AVD-AWS-0028",
	"aws-sns-enable-topic-encryption": "AVD-AWS-0095",
	"aws-elbv2-alb-not-public": "AVD-AWS-0053",
	"aws-elbv2-http-not-used": "AVD-AWS-0054",
	"aws-codebuild-enable-encryption": "AVD-AWS-0018",
	"aws-elasticache-enable-backup-retention": "AVD-AWS-0050",
	"aws-elasticache-enable-in-transit-encryption": "AVD-AWS-0051",
	"aws-elasticache-add-description-for-security-group": "AVD-AWS-0049",
	"aws-kinesis-enable-in-transit-encryption": "AVD-AWS-0064",
	"aws-dynamodb-enable-recovery": "AVD-AWS-0024",
	"aws-dynamodb-table-customer-key": "AVD-AWS-0025",
	"aws-dynamodb-enable-at-rest-encryption": "AVD-AWS-0023",
	"aws-ebs-encryption-customer-key": "AVD-AWS-0027",
	"aws-ebs-enable-volume-encryption": "AVD-AWS-0026",
	"aws-neptune-enable-storage-encryption": "AVD-AWS-0076",
	"aws-neptune-enable-log-export": "AVD-AWS-0075",
	"aws-documentdb-enable-storage-encryption": "AVD-AWS-0021",
	"aws-documentdb-encryption-customer-key": "AVD-AWS-0022",
	"aws-documentdb-enable-log-export": "AVD-AWS-0020",
	"aws-elb-drop-invalid-headers": "AVD-AWS-0052",
	"aws-cloudfront-enforce-https": "AVD-AWS-0012",
	"aws-cloudfront-enable-waf": "AVD-AWS-0011",
	"aws-cloudfront-use-secure-tls-policy": "AVD-AWS-0013",
	"aws-cloudfront-enable-logging": "AVD-AWS-0010",
	"aws-api-gateway-no-public-access": "AVD-AWS-0004",
	"aws-api-gateway-use-secure-tls-policy": "AVD-AWS-0005",
	"aws-api-gateway-enable-access-logging": "AVD-AWS-0001",
	"aws-api-gateway-enable-cache-encryption": "AVD-AWS-0002",
	"aws-api-gateway-enable-tracing": "AVD-AWS-0003",
	"aws-config-aggregate-all-regions": "AVD-AWS-0019",
	"aws-eks-no-public-cluster-access-to-cidr": "AVD-AWS-0041",
	"aws-eks-enable-control-plane-logging": "AVD-AWS-0038",
	"aws-eks-no-public-cluster-access": "AVD-AWS-0040",
	"aws-eks-encrypt-secrets": "AVD-AWS-0039",
	"aws-cloudwatch-log-group-customer-key": "AVD-AWS-0017",
	"aws-launch-no-sensitive-info": "AVD-AWS-0068",
	"aws-sqs-enable-queue-encryption": "AVD-AWS-0096",
	"aws-sqs-no-wildcards-in-policy-documents": "AVD-AWS-0097",
	"aws-autoscaling-enable-at-rest-encryption": "AVD-AWS-0008",
	"aws-autoscaling-no-public-ip": "AVD-AWS-0009",
	"aws-mq-enable-audit-logging": "AVD-AWS-0070",
	"aws-mq-no-public-access": "AVD-AWS-0072",
	"aws-mq-enable-general-logging": "AVD-AWS-0071",
	"aws-kms-auto-rotate-keys": "AVD-AWS-0065",
	"aws-workspace-enable-disk-encryption": "AVD-AWS-0109",
	"aws-iam-set-max-password-age": "AVD-AWS-0062",
	"aws-iam-require-uppercase-in-passwords": "AVD-AWS-0061",
	"aws-iam-no-password-reuse": "AVD-AWS-0056",
	"aws-iam-block-kms-policy-wildcard": "AVD-AWS-0055",
	"aws-iam-no-policy-wildcards": "AVD-AWS-0057",
	"aws-iam-set-minimum-password-length": "AVD-AWS-0063",
	"aws-iam-require-lowercase-in-passwords": "AVD-AWS-0058",
	"aws-iam-require-symbols-in-passwords": "AVD-AWS-0060",
	"aws-iam-require-numbers-in-passwords": "AVD-AWS-0059",
	"kubernetes-network-no-public-ingress": "AVD-K8S-0002",
	"kubernetes-network-no-public-egress": "AVD-K8S-0001",
}
